<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class ClientWiseRoleMigration extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('acl_client_wise_role', function (Blueprint $table) {
            $table->increments('id');
            $table->string('title');
            $table->string('summary')->nullable();
            $table->integer('client_id')->unsigned();
            $table->text('menus')->nullable();
            $table->text('routes')->nullable();
            $table->integer('created_by')->unsigned();
            $table->integer('updated_by')->unsigned();
            $table->timestampsTz();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        DB::statement('SET FOREIGN_KEY_CHECKS=0');
        Schema::dropIfExists('acl_client_wise_role');
        DB::statement('SET FOREIGN_KEY_CHECKS=1');

    }
}
